"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1090b9120>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1090b91c0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1090b9260>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1090b9300>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1090b93a0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1090b9440>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1090b94e0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1090b9580>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1090b9620>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1090b96c0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x1090b9760>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1090b9800>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x1090b98a0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1090b9940>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1090b99e0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1090b9a80>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1090b9b20>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x1090b9bc0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1090b9c60>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x1090b9d00>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1090b9da0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x1090b9e40>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1090b9ee0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1090b9f80>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1090ba020>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x1090ba0c0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x1090ba160>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1090ba200>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1090ba2a0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1090ba340>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1090ba3e0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1090ba480>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1090ba520>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1090ba5c0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1090ba660>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1090ba700>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1090ba7a0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1090ba840>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1090ba8e0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1090ba980>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1090baa20>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1090baac0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1090bab60>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x1090bac00>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1090baca0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1090bad40>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1090bade0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1090bae80>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1090baf20>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1090bafc0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1090bb060>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x1090bb100>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1090bb1a0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1090bb240>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x1090bb2e0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1090bb380>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x1090bb420>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1090bb4c0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1090bb560>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x1090bb600>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x1090bb6a0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x1090bb740>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1090bb7e0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1090bb880>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x1090bb920>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1090bb9c0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x1090bba60>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1090bbb00>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1090bbba0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1090bbc40>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x1090bbce0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1090bbd80>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1090bbe20>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1090bbec0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1090bbf60>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1090c8040>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1090c80e0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x1090c8180>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x1090c8220>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x1090c82c0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1090c8400>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x1090c8360>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1090c84a0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x1090c8540>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x1090c85e0>)]
name: str = 'fr_HOCCN'
